Subject: Re: [PATCH v1 0/8] Enable STRICT_KERNEL_RWX

From: Balbir Singh <[email-masked]>
Date: Thu, 25 May 2017 16:57:33 +1000

On Thu, 25 May 2017 13:36:42 +1000
Balbir Singh <[email-masked]> wrote:

> Enable STRICT_KERNEL_RWX for PPC64/BOOK3S
> 
> These patches enable RX mappings of kernel text.
> rodata is mapped RX as well as a trade-off, there
> are more details in the patch description
> 
> As a prerequisite for R/O text, patch_instruction
> is moved over to using a separate mapping that
> allows write to kernel text. xmon/ftrace/kprobes
> have been moved over to work with patch_instruction
> 

I think optprobes needs to be moved over as well.
I did not realize we have the optprobe_trampoline in
text (yikes!!)

> There are a few bug fixes, the updatepp and updateboltedpp
> did not use flags as described in PAPR and the ptdump
> utility ignored the first PFN
> 

Radix support is going to be incrementally added. I would
request a review of whats there. May be the bug fixes for
lpar.c and dump hash page tables can go in indepedently
along with the basic cleanup of kprobes.

Balbir Singh.